package com.tzld.piaoquan.growth.common.model.po;

import java.util.Date;

public class PreSpecialSendMessage {
    private Long id;

    private String preSendDate;

    private Long staffId;

    private Integer status;

    private String content;

    private String attachmentIds;

    private Integer groupMsgDisabled;

    private Integer pageNum;

    private Integer pageSize;

    private Long tagId;

    private Integer gender;

    private Integer isSend;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPreSendDate() {
        return preSendDate;
    }

    public void setPreSendDate(String preSendDate) {
        this.preSendDate = preSendDate;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAttachmentIds() {
        return attachmentIds;
    }

    public void setAttachmentIds(String attachmentIds) {
        this.attachmentIds = attachmentIds;
    }

    public Integer getGroupMsgDisabled() {
        return groupMsgDisabled;
    }

    public void setGroupMsgDisabled(Integer groupMsgDisabled) {
        this.groupMsgDisabled = groupMsgDisabled;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Long getTagId() {
        return tagId;
    }

    public void setTagId(Long tagId) {
        this.tagId = tagId;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public Integer getIsSend() {
        return isSend;
    }

    public void setIsSend(Integer isSend) {
        this.isSend = isSend;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", preSendDate=").append(preSendDate);
        sb.append(", staffId=").append(staffId);
        sb.append(", status=").append(status);
        sb.append(", content=").append(content);
        sb.append(", attachmentIds=").append(attachmentIds);
        sb.append(", groupMsgDisabled=").append(groupMsgDisabled);
        sb.append(", pageNum=").append(pageNum);
        sb.append(", pageSize=").append(pageSize);
        sb.append(", tagId=").append(tagId);
        sb.append(", gender=").append(gender);
        sb.append(", isSend=").append(isSend);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}